#!/bin/bash

#===========================================================
# File Name: pdbqt2mol2.sh
# Author: wangzhe
# E-mail: wangzhehyd@163.com
# Date: 2018-05-29 14:17:25
# Last Modified: 2018-05-29 19:26:15
# Version: 1.0
# Description: 
# Copyright: Hou group
#===========================================================

function autodock(){
    original_mol2_file=$1
    original_pdbqt_file=$2
    docked_file=$3
    output_file=$4
    grep '^DOCKED' ${docked_file} | cut -c9- > ${docked_file/.dlg/.pdbqt}
    vina_split --input ${docked_file/.dlg/.pdbqt} > /dev/null 2>&1
    for pose in `ls | grep ${docked_file/.dlg/_ligand_}`
    do
        python ./pdbqt2mol2.py -i ${original_mol2_file} -l ${original_pdbqt_file} -d ${pose} -o ${pose/.pdbqt/.mol2}
        cat ${pose/.pdbqt/.mol2} >> ${output_file}
        rm ${pose} ${pose/.pdbqt/.mol2}
    done
    #rm ${docked_file/.dlg/.pdbqt}
}

function vina(){
    original_mol2_file=$1
    original_pdbqt_file=$2
    docked_file=$3
    output_file=$4
    vina_split --input ${docked_file} > /dev/null 2>&1
    for pose in `ls | grep ${docked_file/.pdbqt/_ligand_}`
    do
        python ./pdbqt2mol2.py -i ${original_mol2_file} -l ${original_pdbqt_file} -d ${pose} -o ${pose/.pdbqt/.mol2}
        cat ${pose/.pdbqt/.mol2} >> ${output_file}
        rm ${pose} ${pose/.pdbqt/.mol2}
    done
}


if [ "${3##*.}" = "dlg" ]
then
    autodock $1 $2 $3 $4
elif [ "${3##*.}" = "pdbqt" ]
then
    vina $1 $2 $3 $4
else
    echo $0 original_mol2_file original_pdbqt_file docked_file output_file
fi
